import { EventEmitter, OnChanges, OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class SCountryFlagInputComponent implements OnInit, OnChanges {
    private _formBuilder;
    showFlags: boolean;
    countriesData: any;
    defaultCountry: any;
    flagdata: EventEmitter<any>;
    flagComponentForm: UntypedFormGroup;
    private phoneNumberInput;
    disableInput: boolean;
    autoFetchInput: string;
    phonenumber: string;
    constructor(_formBuilder: UntypedFormBuilder);
    ngOnInit(): void;
    onClickFlag(): void;
    getCountryDetails(data: any): void;
    ngDoCheck(): void;
    getMobileNumber(event: KeyboardEvent): boolean;
    ngOnChanges(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SCountryFlagInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SCountryFlagInputComponent, "s-country-flag-input", never, { "disableInput": "disableInput"; "autoFetchInput": "autoFetchInput"; }, { "flagdata": "flagdata"; "phoneNumberInput": "phoneNumberInput"; }, never, never, false>;
}
